| GET | /RestApi/recycle-bin/items/types |
|---|
using System;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using ServiceStack;
using ServiceStack.DataAnnotations;
using Telerik.Sitefinity.RecycleBin.Services.Dto.Requests;
namespace Telerik.Sitefinity.RecycleBin.Services.Dto.Requests
{
public partial class GetRecyclableType
{
}
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/recycle-bin/items/types HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
[
{
name: String,
fullName: String,
count: 0
}
]